declare const _default: {
    rules: {
        "no-wx-sync-api": {
            meta: {
                type: string;
                docs: {
                    description: string;
                    category: string;
                    recommended: boolean;
                    url: string;
                };
                schema: never[];
            };
            create(context: any): {
                MemberExpression(node: any): void;
            };
        };
        "prefer-wx-promisify": {
            meta: {
                type: string;
                docs: {
                    description: string;
                    category: string;
                    recommended: boolean;
                    url: string;
                };
                schema: never[];
            };
            create(context: any): {
                Property(node: any): void;
            };
        };
        "config-json-validate-fields": {
            meta: {
                type: string;
                docs: {
                    description: string;
                    category: string;
                    recommended: boolean;
                    url: string;
                };
                schema: never[];
            };
            create(context: any): {
                CallExpression(node: any): void;
            };
        };
        "attribute-event-name-case": {
            meta: {
                type: string;
                docs: {
                    description: string;
                    category: string;
                    recommended: boolean;
                    url: string;
                };
                schema: {
                    enum: string[];
                }[];
            };
            create(context: any): any;
        };
        "component-name": {
            meta: {
                type: string;
                docs: {
                    description: string;
                    category: string;
                    recommended: boolean;
                    url: string;
                };
            };
            create(context: any): any;
        };
        "no-unused-components": {
            meta: {
                type: string;
                docs: {
                    description: string;
                    category: string;
                    recommended: boolean;
                    url: string;
                };
            };
            create(context: any): any;
        };
        "no-unregistered-components": {
            meta: {
                type: string;
                docs: {
                    description: string;
                    category: string;
                    recommended: boolean;
                    url: string;
                };
            };
            create(context: any): any;
        };
    };
};
export = _default;
